Bug 653051 - [abrt] exaile-0.3.2.0-2.fc14: raise: Process /usr/bin/python was killed by signal 6 (SIGABRT)
Summary: [abrt] exaile-0.3.2.0-2.fc14: raise: Process /usr/bin/python was killed by si...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: exaile
Version: 14
Hardware: x86_64
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:73758e8a355b4be3c7824a404a5...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-14 09:11 UTC by Julian
Modified: 2011-03-28 19:33 UTC (History)
1 user (show)

Fixed In Version: exaile-0.3.2.1-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-28 19:33:14 UTC


Attachments (Terms of Use)
File: backtrace (119.55 KB, text/plain)
2010-11-14 09:11 UTC, Julian
no flags Details

Description Julian 2010-11-14 09:11:25 UTC
abrt version: 1.1.13
architecture: x86_64
Attached file: backtrace
cmdline: python /usr/lib/python2.7/site-packages/exaile/exaile.py --datadir=/usr/share/exaile/data --startgui
component: exaile
crash_function: raise
executable: /usr/bin/python
kernel: 2.6.35.6-48.fc14.x86_64
package: exaile-0.3.2.0-2.fc14
rating: 4
reason: Process /usr/bin/python was killed by signal 6 (SIGABRT)
release: Fedora release 14 (Laughlin)
time: 1289724681
uid: 500

comment
-----
I experience these crashes with the collection panel only, i have not been able to reproduce this with the "Files" Tab! 

Here is the output if exaile was started from console:

Exception in thread Thread-23:
Traceback (most recent call last):
  File "/usr/lib64/python2.7/threading.py", line 530, in __bootstrap_inner
    self.run()
  File "/usr/lib64/python2.7/threading.py", line 483, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib/python2.7/site-packages/exaile/xlgui/guiutil.py", line 307, in _on_drag_begin
    image_data = cover_manager.get_cover(track)
  File "/usr/lib/python2.7/site-packages/exaile/xl/covers.py", line 288, in get_cover
    covers = self.find_covers(track, limit=1)
  File "/usr/lib/python2.7/site-packages/exaile/xl/common.py", line 105, in wrapper
    return func(self, *__args, **__kw)
  File "/usr/lib/python2.7/site-packages/exaile/xl/common.py", line 248, in wrapper
    ret = f(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/exaile/xl/covers.py", line 220, in find_covers
    new = method.find_covers(track, limit=limit)
  File "/usr/share/exaile/plugins/lastfmcovers/__init__.py", line 82, in find_covers
    xml = ETree.fromstring(data)
  File "<string>", line 106, in XML
ParseError: not well-formed (invalid token): line 10, column 12

exaile.py: Fatal IO error 0 (Success) on X server :0.0.

How to reproduce
-----
1. open exaile
2. browse the collection panel
3. open some sub items / add/remove things to/from the playlist
4. at some point exaile crashes (in under 30s while using the collection panel)

Comment 1 Julian 2010-11-14 09:11:28 UTC
Created attachment 460345 [details]
File: backtrace

Comment 2 Fedora Update System 2011-03-04 15:40:27 UTC
Package exaile-0.3.2.1-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing exaile-0.3.2.1-1.fc14'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/exaile-0.3.2.1-1.fc14
then log in and leave karma (feedback).

Comment 3 Julian 2011-03-04 23:03:14 UTC
jep, startup back to normal!

i'm using 0.3.2.1-1.fc16 though, but it runs like a charm...

Comment 4 Fedora Update System 2011-03-05 02:44:23 UTC
exaile-0.3.2.1-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update exaile'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/exaile-0.3.2.1-1.fc14

Comment 5 Fedora Update System 2011-03-28 19:30:31 UTC
exaile-0.3.2.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.